#
# Conditional build:
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# do not perform "make test"

%define 	module	dtopt
Summary:	Add options to doctest examples while they are running
Name:		python-%{module}
Version:	0.1
Release:	7
License:	MIT
Group:		Libraries/Python
Source0:	http://pypi.python.org/packages/source/d/dtopt/dtopt-%{version}.tar.gz
# Source0-md5:	9a41317149e926fcc408086aedee6bab
URL:		http://pypi.python.org/pypi/dtopt/
BuildRequires:	python-distribute
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	python3-modules
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dtopts adds options to doctest examples while they are running. When
using the doctest module it is often convenient to use the ELLIPSIS
option, which allows you to use ... as a wildcard. But you either have
to setup the test runner to use this option, or you must put #doctest:
+ELLIPSIS on every example that uses this feature. dtopt lets you
enable this option globally from within a doctest, by doing: >>> from
dtopt import ELLIPSIS

%package -n python3-dtopt
Summary:	Add options to doctest examples while they are running
Group:		Libraries/Python

%description -n python3-dtopt
dtopts adds options to doctest examples while they are running. When
using the doctest module it is often convenient to use the ELLIPSIS
option, which allows you to use ... as a wildcard. But you either have
to setup the test runner to use this option, or you must put #doctest:
+ELLIPSIS on every example that uses this feature. dtopt lets you
enable this option globally from within a doctest, by doing: >>> from
dtopt import ELLIPSIS

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg info if it exists.
rm -r *.egg-info

%build
%py_build

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/*
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%{py_sitescriptdir}/%{module}-*.egg-info

%if %{with python3}
%files -n python3-dtopt
%defattr(644,root,root,755)
%doc docs/*
%dir %{py3_sitescriptdir}/dtopt
%{py3_sitescriptdir}/%{module}/*.py
%{py3_sitescriptdir}/%{module}/__pycache__
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-dtopt.git;a=log;h=auto/th/python-dtopt-0.1-7

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d322f2
- python 3.6
- release 7 (by relup.sh)

* Sun Nov 29 2015 Elan Ruusamäe <glen@delfi.ee> f26bd63
- adapter

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 200a0b9
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 275d7df
- release 6 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 165453a
- semi-automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 527ba2d
- release 5 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a8a8509
- python 3.5 rebuild
- release 4 (by relup.sh)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f28690
- python 3.4
- release 3 (by relup.sh)

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 1f3ba1d
- missing dir for py3 module

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> d6bdfa6
- Require python3 modules for testing (distutils)

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> 868f486
- use python3-distribute for packagename for setuptools dep

* Sat Mar 09 2013 Elan Ruusamäe <glen@delfi.ee> b3660d7
- new, version 0.1

